Announcement

Collapse
No announcement yet.

Can't download 3.8.5 (or renew my 3.x licences)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    But What About Bug Fixes?

    I'm one of those guys who got the message about the screaming deal and opted to not take it. I looked at what 4.0 appeared to offer, and decided it was best to stick with what I had in 3. I have no problem with Jelsoft charging whatever they choose for their new version of the software, but 3.8.5 is by their own admission a "maintenance release/bug fix". Microsoft and Apple charge for new revisions of their software, but not bug fixes for older versions. If Jelsoft wants to be treated like a serious provider, they ought to act like one.

    If you're not going to develop a reasonable plan for those of us who chose to remain with 3.8 (and yes, I feel like we're not being served ... ), at least stop spamming my admin panel with a upgrade notice and download link ...

    Comment


    • #17
      I don't know about you guys, but I'm looking at $175 for an "upgrade" vs. "$149" (sans multi-product discount) to switch. I, too, opted not to upgrade during the discount period as I felt it was being rushed out there (and I, like many others, was right). The switch would be a no-brainer if it wasn't for the incredible modding community that exists on vB.org and IB has apparently decided to "monetize" in this way (indirectly, of course).

      Take note, IB. We're waiting for the silence to break and a reason to stay. I've been in this camp since vB2 and don't look forward to learning an entirely new system but if it offers me more solid footing than the rocky vB4, I'm seriously considering taking that risk.
      -azher

      Comment


      • #18
        I have to agree a lot of us just don't want to upgrade to vb4. IMHO, all upgrades in vb4 comparing to vb3 are not worth spending 175. And they, I think, know that. So, they are in this way forcing us to pay for vb4 even if we don't want to use it.

        It would be fair to charge us with 30 USD fee just for 3.8.x upgrades. But, also we all should know capitalism isn't fair. The best thing is in capitalism you can always find equally good alternative. That's the best thing.

        Comment


        • #19
          I am in the crowd of people who refuse to pay 175 dollars for something I used to only pay 30 dollars for. It's ridiculous that you are requiring us to pay 175 for something we used to only get for 30 dollars - upgrades to our EXISTING formats. It's completely ridiculous and it totally makes me feel like vbulletin cares absolutely nothing about those of us who have been with them and using their system for a long time. Let's use a brain here, folks....

          In the meantime, I'm going to go get the latest security patch... which I can still get for free... but I'm feeling totally ripped off and I hope, eventually, those of you at vbulletin might start caring about your legacy customers...

          Comment


          • #20
            Absolutely ridiculous im not going to pay $175 to upgrade to version 4 when I want a fix for 3.8 that's just stupid. Why can't you just let the long time clients just renew their old license?

            I can't even use version 4 with the host I have.

            Comment


            • #21
              I guess I am one of the the "lucky" ones. I had a VB lease and sort of abandoned my community once it expired. I just recently purchased a VB license for $195 so it really wasn't too much of a big deal since I was basically purchasing new software off the bat. Though, I can completely see why the OP, and other legacy members, would be angry at the pricing scheme as they would now have to pay $175 for something they are used to paying $30 for. But, what can you do. There are always alternative forum software that you can switch to.

              Comment


              • #22
                I came here today to download 3.8.5. I believe I am supposed to have access to it, but every time I start the download, it times out. So I came here to see if anyone else has that problem and I found this thread.

                I am also an old time user who does not want to pay the ridiculous price for 4.X. Even if there was anything about 4.x that I liked or needed, which there is not, I would not pay the new prices for it.

                So while I am certainly ok now, what happens when this software becomes totally obsolete? My whole forum will die. Ten plus years of information and posts will no longer work. Now THAT is frightening and I have no idea what to do about it.

                Comment


                • #23
                  Originally posted by Kat View Post
                  I came here today to download 3.8.5. I believe I am supposed to have access to it, but every time I start the download, it times out.
                  I believe that if you not supposed to have access to it,it would not show that version.
                  Try to download it with another computer.


                  vB5 is unequivocally the best forum software, but not yet...

                  Comment


                  • #24
                    Thanks yes, I was finally able to download it. That really was not the point of my post though.

                    Comment


                    • #25
                      Originally posted by Kat View Post
                      I am also an old time user who does not want to pay the ridiculous price for 4.X. Even if there was anything about 4.x that I liked or needed, which there is not, I would not pay the new prices for it.

                      So while I am certainly ok now, what happens when this software becomes totally obsolete? My whole forum will die. Ten plus years of information and posts will no longer work. Now THAT is frightening and I have no idea what to do about it.
                      I just don't get these posts.

                      Are you using Windows 3.11 or 95 because you didn't want to pay for an upgrade ? Using a suitcase size cellular phone ?
                      Are you expected that 3.x is so flawless that it will not be obsolete in 10 years and compatible with all the future versions of PHP/Mysql ?

                      Here's an idea: if you don't want to pay for vBulletin anymore, convert to a free software.

                      Comment


                      • #26
                        Originally posted by goyo View Post
                        I just don't get these posts.

                        Are you using Windows 3.11 or 95 because you didn't want to pay for an upgrade ? Using a suitcase size cellular phone ?
                        Are you expected that 3.x is so flawless that it will not be obsolete in 10 years and compatible with all the future versions of PHP/Mysql ?

                        Here's an idea: if you don't want to pay for vBulletin anymore, convert to a free software.
                        Of course I do not expect it to not be obsolete, which is why I SAID SO in my post. That is of course the big concern.

                        Trust me, if I could "convert" to a free software without losing all those years of collected info, I would.

                        The big difference between VB and Windows is this. Microsoft does not get you into a position that you cannot get out of and then quadruple their price.

                        If VB 4 had ANY features that I needed or wanted, maybe I would feel at least slightly differently. But I just want a forum, not a "community" with Blogs and Social stuff. Just don't need or want it. I would spend DAYS just turning off and disabling all of the stuff in that software that I would not want.

                        Comment


                        • #27
                          Did you really just use Windows as an example? Hey genius once you purchase Windows Vista you now own Windows Vista and all the updates that come with it.

                          In this case we purchased vb long ago and now are being forced into version 4. They're saying if you want the rest of the updates for 3.x you have to buy 4 well that's like Windows saying, hey if you want the rest of the updates for Windows Vista you must now purchase Windows 7.

                          How does that make sense?
                          Last edited by raynexeo; Tue 15th Jun '10, 2:34pm.

                          Comment


                          • #28
                            It doesn't make sense, your correct. I also feel that there should be a cheaper option for people who only want to download the last build of 3.8.5. So they can do so without having to fork out $175 to upgrade their vB3 series board to the last 3.8.5 build.

                            I know that won't change because IB just see it an ideal opportunity to rake in as much they can from people. But think of some people who are running multiple 3x board installations and are now faced with having to re-fork out $175 for each one to be updated. That's a lot of money just to take all their forums to the last 3.8.5 build, a bit of joke!
                            Last edited by MRGTB; Wed 16th Jun '10, 10:46am.

                            Comment


                            • #29
                              Originally posted by Kat View Post
                              The big difference between VB and Windows is this. Microsoft does not get you into a position that you cannot get out of and then quadruple their price.
                              I'm guessing you didn't install a Pre-Release version of Vista or Windows 7 then. Doing that results in exactly what you claim Microsoft never does.
                              My Live vB5 Site - NZEating.com
                              vBulletin Hosting | vBulletin Services - Need hosting for your vB? Need it installed? Something else? Let me take that hassle off your hands.

                              Comment


                              • #30
                                Originally posted by Ace View Post
                                I'm guessing you didn't install a Pre-Release version of Vista or Windows 7 then. Doing that results in exactly what you claim Microsoft never does.
                                No, I did not do that. Obviously it was optional to do that. We don't have any options here. You did not HAVE to install a pre-release version.

                                Comment

                                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                                Working...
                                X